entity TOP is
end TOP;

architecture struc of TOP is
	signal sig1, sig2: integer;
	signal sig3, sig4: integer;
	component A 
		port (inp: in integer; outp: integer);
	end component;
begin
I1:	A port map (sig1, sig2);
I2: A port map (sig3, sig4);
end struc;

configuration cfg_top of top
for struc
	for I1
		use configuration cfg_A;
	end for;
	for I2
		use configuration cfg_A;
	end for;
end for;
end cfg_top;
